BEGIN;

SELECT menu_insert(109, 5, 'Budgets');

INSERT INTO menu_attribute(node_id, attribute, value) 
     values (currval('menu_node_id_seq'), 'menu', '1');

SELECT menu_insert(currval('menu_node_id_seq')::int, 1, 'Add Budget');

INSERT INTO menu_attribute(node_id, attribute, value)
     values (currval('menu_node_id_seq'), 'module', 'budgets.pl');

INSERT INTO menu_attribute(node_id, attribute, value)
     values (currval('menu_node_id_seq'), 'action', 'new_budget');

INSERT 
  INTO menu_acl(node_id, acl_type, role_name)
SELECT currval('menu_node_id_seq'), 'allow', 
       'lsmb_' || current_database() || '__budget_enter';

SELECT menu_insert(parent, 2, 'Reports') 
  FROM menu_node WHERE id = currval('menu_node_id_seq');

INSERT INTO menu_attribute(node_id, attribute, value)
     values (currval('menu_node_id_seq'), 'module', 'budgets.pl');

INSERT INTO menu_attribute(node_id, attribute, value)
     values (currval('menu_node_id_seq'), 'action', 'begin_search');

INSERT 
  INTO menu_acl(node_id, acl_type, role_name)
SELECT currval('menu_node_id_seq'), 'allow', 
       'lsmb_' || current_database() || '__budget_approve';

INSERT 
  INTO menu_acl(node_id, acl_type, role_name)
SELECT currval('menu_node_id_seq'), 'allow', 
       'lsmb_' || current_database() || '__budget_obsolete';

COMMIT;
